Summary:       TIFF Library and Utilities
Name:          libtiff
Version:       4.6.0
Release:       6%{?dist}
License:       libtiff
URL:           http://www.simplesystems.org/libtiff/
Source0:       http://download.osgeo.org/libtiff/tiff-%{version}.tar.gz
Patch0001:     fixed-CVE-2023-6277.patch
Patch0002:     fixed-CVE-2023-6277-2.patch
Patch0003:     fixed-CVE-2023-6277-3.patch
Patch0004:     fixed-CVE-2023-52356.patch
Patch0005:     fixed-CVE-2023-52355.patch
Patch0006:     fixed-CVE-2023-6228.patch
Patch0007:     fixed-CVE-2024-7006.patch
BuildRequires: gcc, gcc-c++, make, libtool, automake, autoconf, pkgconfig
BuildRequires: zlib-devel, libjpeg-devel, jbigkit-devel, libzstd-devel, libwebp-devel

%description
The LibTIFF software provides support for the Tag Image File Format
(TIFF), a widely used format for storing image data.

%package devel
Summary:  Development files for libtiff library
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The LibTIFF software provides support for the Tag Image File Format
(TIFF), a widely used format for storing image data.

This package contains development files.

%package static
Summary:  libtiff static library
Requires: %{name}-devel = %{version}-%{release}

%description static
The LibTIFF software provides support for the Tag Image File Format
(TIFF), a widely used format for storing image data.

This package contains static library.

%package tools
Summary:  A small collection of tools for performing simple manipulations of TIFF images
Requires: %{name} = %{version}-%{release}

%description tools
The LibTIFF software provides support for the Tag Image File Format
(TIFF), a widely used format for storing image data.

This package contains a small collection of tools.



%prep
%autosetup -p1 -n tiff-%{version}



%build
# Use build system's libtool.m4, not the one in the package.
rm -f libtool.m4

libtoolize --force  --copy
aclocal -I . -I m4
automake --add-missing --copy
autoconf
autoheader

export CFLAGS="%{optflags} -fno-strict-aliasing"
%configure --enable-ld-version-script
%make_build



%install
%make_install
rm %{buildroot}%{_libdir}/*.la



%check
LD_LIBRARY_PATH=$PWD:$LD_LIBRARY_PATH make check



%files
%doc README.md RELEASE-DATE VERSION
%{_libdir}/libtiff.so.*
%{_libdir}/libtiffxx.so.*
%{_datadir}/doc/

%files devel
%doc TODO ChangeLog
%{_includedir}/*
%{_libdir}/libtiff.so
%{_libdir}/libtiffxx.so
%{_libdir}/pkgconfig/libtiff*.pc
%{_mandir}/man3/*

%files static
%{_libdir}/*.a

%files tools
%{_bindir}/*
%{_mandir}/man1/*



%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6.0-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Thu Sep 19 2024 Zhao Zhen <jeremiazhao@tencent.com> - 4.6.0-5
- fixed CVE-2024-7006

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6.0-4
- Rebuilt for loongarch release

* Mon Apr 08 2024 Zhao Zhen <jeremiazhao@tencent.com> - 4.6.0-3
- fixed bug caught by fixed-CVE-2023-6277.patch

* Thu Mar 21 2024 Zhao Zhen <jeremiazhao@tencent.com> - 4.6.0-2
- fixed CVE-2023-6277 CVE-2023-52356 CVE-2023-52355 fixed-CVE-2023-6228

* Thu Oct 19 2023 kianli <kianli@tencent.com> - 4.6.0-1
- Upgrade to 4.6.0
- Fix CVE-2023-40745 and CVE-2023-41175

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 04 2023 kianli <kianli@tencent.com> - 4.5.1-2
- Rebuilt for libjpeg-turbo 2.1.4

* Wed Aug 02 2023 kianli <kianli@tencent.com> - 4.5.1-1
- Upgrade to 4.5.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.4.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.4.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 01 2022 Zhao Zhen <jeremiazhao@tencent.com> - 4.4.0-1
- Initial building.
